type User = {
	id: string;
	username: string;
	display_name: string;
	email: string;
	password: string;
	avatar_url: string;
	is_verified: boolean;
	created_at: Date;
	updated_at: Date;
};

type UserInsert = Pick<
	User,
	"id" | "username" | "email" | "password" | "created_at" | "updated_at"
>;

type UserSafe = Pick<
	User,
	| "id"
	| "username"
	| "display_name"
	| "avatar_url"
	| "is_verified"
	| "created_at"
	| "updated_at"
>;

type UserPrivate = Omit<User, "password">;
